<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

\IoC::resolve( 'eventmediator' )->attach( 'before_route', function( FastRoute\RouteCollector $r, $request, $response ) {
    $r->get( 'contact', 'plugins\\contactform\\controllers\\ContactController@index');
    $r->post( 'contact', 'plugins\\contactform\\controllers\\ContactController@send');
    $r->get( 'contact/settings', 'plugins\\contactform\\controllers\\SettingsController@index' );
    $r->post( 'contact/settings', 'plugins\\contactform\\controllers\\SettingsController@update');
    $r->get( 'public/css/contactform/style.css', 'plugins\\contactform\\controllers\\AssetsController@css' );
    return true;
} );

\IoC::resolve( 'eventmediator' )->attach( 'check_template_used', function( $template, &$isUsed ) {
    $settings = \IoC::resolve( 'settings' );
    if ( $settings['contactform.template'] == $template->template_id ) {
        $isUsed = true;
        return false;
    }
    return true;
} );

$logger = \IoC::resolve( 'logger' );
$logger->info( 'Plugin contactform initialized.' );
