<?php
if ( !defined( 'IN_CMS' ) ) {
    exit();
}

use \IoC;
use \Flash;
use \Configuration;
use models\Template;

$i18n = IoC::resolve( 'i18n' );

if ( !class_exists( 'plugins\\antispam\\library\\InvisibleCaptcha' ) ) {
    $flash = new Flash();
    $flash->error( $i18n->__( 'required_plugin_missing', 'antispam' ) );
    return false;
}

$configurationHandler = IoC::resolve( 'databaseConfigurationHandler' );
$settings = new Configuration( $configurationHandler );

$settings['contactform.to_email'] = '';

$template = new Template();
$template->name = 'Contact form';
$template->content_type = 'text/html';
$template->content = file_get_contents ( dirname( __FILE__ ) . DS . TEMPLATES_DIR . 'contact' . DS . 'contactform.html' );
if ( !$template->save() ) {
    return false;
}

$settings['contactform.template'] = $template->template_id;

$configurationHandler->save();

$logger = IoC::resolve( 'logger' );
$logger->info( 'Plugin contactform successfully installed.' );

return true;
